FROM node:10-alpine AS builder
WORKDIR /app
COPY package.json /app/
COPY lerna.json /app/
RUN yarn
COPY /app /app/app
COPY /packages /app/packages
COPY yarn.lock /app/
RUN yarn lerna bootstrap --scope=app --include-dependencies
RUN yarn build --scope=app --include-dependencies

# FROM builder
# RUN ls /app/app
# FROM jumplao/nginx-spa
# WORKDIR /app
# COPY --from=builder /app/app/generateConfig.sh /app/generateConfig.sh
# COPY --from=builder /app/app/build /app/
# CMD ./generateConfig.sh; nginx;
